# Global variables and their getters and setters for cross python packages

# global_steps
global_steps = 0

def get_global_steps():
    return global_steps

def set_global_steps(value):
    global global_steps
    global_steps = value

def global_steps_inc():
    global global_steps
    global_steps += 1

# num_trained_samples
num_trained_samples = 0

def get_num_trained_samples():
    return num_trained_samples

def set_num_trained_samples(value):
    global num_trained_samples
    num_trained_samples = value

def num_trained_samples_inc(value):
    global num_trained_samples
    num_trained_samples += value
